## videosegmentclip videosegmentclip |

## Types and Values

struct | GstVideoSegmentClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstSegmentClip
                        ╰── GstVideoSegmentClip

## Description

## Synopsis

### Element Information

plugin | segmentclip
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstVideoSegmentClip

    struct GstVideoSegmentClip;